com.aliyun.player.source

## Class VidSourceBase

- java.lang.Object
- - com.aliyun.player.source.SourceBase
  - - com.aliyun.player.source.VidSourceBase

- Direct Known Subclasses:
    VidAuth, VidMps, VidSts

      public class VidSourceBase
      extends SourceBase

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VidSourceBase.OutputType`
    `static class` | `VidSourceBase.ResultType`
    `static class` | `VidSourceBase.StreamType`

  - ### Field Summary

    - ### Fields inherited from class com.aliyun.player.source.SourceBase

      `mForceQuality, mQuality`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VidSourceBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAuthTimeout()`
    `protected java.lang.String` | `getDefinitionStr()`
    `java.util.List<MediaFormat>` | `getFormats()` Query the formats of the returned data.
    `protected java.lang.String` | `getFormatStr()`
    `VidSourceBase.OutputType` | `getOutputType()`
    `protected java.lang.String` | `getOutputTypeStr()`
    `java.lang.String` | `getPlayConfig()` Query playback parameters.
    `java.lang.String` | `getReAuthInfo()`
    `protected java.lang.String` | `getReAuthInfoStr()`
    `VidSourceBase.ResultType` | `getResultType()`
    `protected java.lang.String` | `getResultTypeStr()`
    `java.util.Set<VidSourceBase.StreamType>` | `getStreamType()`
    `protected java.lang.String` | `getStreamTypeStr()`
    `void` | `setAuthTimeout(long authTimeout)`
    `void` | `setDefinition(java.util.List<Definition> definitions)` 设置点播服务器返回的码率清晰度类型。
    `void` | `setFormats(java.util.List<MediaFormat> formats)` Specify the formats of the returned data.
    `void` | `setOutputType(VidSourceBase.OutputType outputType)`
    `void` | `setPlayConfig(VidPlayerConfigGen playConfig)` Set playback parameters.
    `void` | `setReAuthInfo(java.lang.String reAuthInfo)`
    `void` | `setResultType(VidSourceBase.ResultType resultType)`
    `void` | `setStreamType(java.util.Set<VidSourceBase.StreamType> streamTypes)`

    - ### Methods inherited from class com.aliyun.player.source.SourceBase

      `getCoverPath, getQuality, getTitle, isForceQuality, setCoverPath, setTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VidSourceBase

          public VidSourceBase()

  - ### Method Detail

    - #### getStreamType

          public java.util.Set<VidSourceBase.StreamType> getStreamType()

    - #### setStreamType

          public void setStreamType(java.util.Set<VidSourceBase.StreamType> streamTypes)

    - #### getReAuthInfo

          public java.lang.String getReAuthInfo()

    - #### setReAuthInfo

          public void setReAuthInfo(java.lang.String reAuthInfo)

    - #### getResultType

          public VidSourceBase.ResultType getResultType()

    - #### setResultType

          public void setResultType(VidSourceBase.ResultType resultType)

    - #### getAuthTimeout

          public long getAuthTimeout()

    - #### setAuthTimeout

          public void setAuthTimeout(long authTimeout)

    - #### getOutputTypeStr

          protected java.lang.String getOutputTypeStr()

    - #### getReAuthInfoStr

          protected java.lang.String getReAuthInfoStr()

    - #### getResultTypeStr

          protected java.lang.String getResultTypeStr()

    - #### getStreamTypeStr

          protected java.lang.String getStreamTypeStr()

    - #### getPlayConfig

          public java.lang.String getPlayConfig()

      Query playback parameters.
      Returns:
        The playback parameters.

    - #### setPlayConfig

          public void setPlayConfig(VidPlayerConfigGen playConfig)

      Set playback parameters.
      Parameters:
        `playConfig` - The playback parameters.

    - #### getFormats

          public java.util.List<MediaFormat> getFormats()

      Query the formats of the returned data.
      Returns:
        The formats of the returned data.

    - #### setFormats

          public void setFormats(java.util.List<MediaFormat> formats)

      Specify the formats of the returned data. This parameter is optional. Default: mp4,m3u8,mp3,flv.
      Parameters:
        `formats` - The formats of the returned data.

    - #### getFormatStr

          protected java.lang.String getFormatStr()

    - #### setDefinition

          public void setDefinition(java.util.List<Definition> definitions)

      设置点播服务器返回的码率清晰度类型。
      Parameters:
        `definitions` - 类型集合。注意：如果类型集合中包含有Definition#DEFINITION_AUTO,那么只会返回Definition#DEFINITION_AUTO的清晰度。

    - #### getDefinitionStr

          protected java.lang.String getDefinitionStr()

    - #### getOutputType

          public VidSourceBase.OutputType getOutputType()

    - #### setOutputType

          public void setOutputType(VidSourceBase.OutputType outputType)